Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.variation.datamodel
Interface LDFeature

All Superinterfaces:
  java.lang.Cloneable, java.lang.Comparable, Feature, Locatable, Persistent, java.io.Serializable

public interface LDFeature
extends Feature

A linkage disequilibrium between two VariationFeatures. The location is a single location node that covers both VariationFeatures and any intervenening gap.

Author:
  Craig Melsopp

Method Summary
`double` | `getDPrime()` The D Prime value.
`Population` | `getPopulation()` Get Population this linkage disequilibrium appears in.
`double` | `getRSquare()` The R Square value.
`int` | `getSampleCount()` The sample count.
`VariationFeature` | `getVariationFeature1()` First VariationFeature.
`VariationFeature` | `getVariationFeature2()` Second VariationFeature.

Methods inherited from interface org.ensembl.datamodel.Feature
`getAnalysis, getAnalysisID, getDescription, getDisplayName, setAnalysis, setAnalysisID, setDescription, setDisplayName`

Methods inherited from interface org.ensembl.datamodel.Locatable
`getLocation, getSequence, setCoordinateSystem, setLocation, setSequence`

Methods inherited from interface org.ensembl.datamodel.Persistent
`getDriver, getInternalID, sameInternalID, setDriver, setInternalID`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getVariationFeature1

    public VariationFeature getVariationFeature1()

  First VariationFeature.

  Returns:
    first VariationFeature.

### getVariationFeature2

    public VariationFeature getVariationFeature2()

  Second VariationFeature.

  Returns:
    second VariationFeature.

### getPopulation

    public Population getPopulation()

  Get Population this linkage disequilibrium appears in.

  Returns:
    Population this linkage disequilibrium appears in.

### getRSquare

    public double getRSquare()

  The R Square value.

  Returns:
    The R Square value.

### getDPrime

    public double getDPrime()

  The D Prime value.

  Returns:
    The D Prime value.

### getSampleCount

    public int getSampleCount()

  The sample count.

  Returns:
    The sample count.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD